# requestsproxy-rest

Requestsproxy - the Ruby gem for the requestsproxy.proto

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: version not set
- Package version: 0.0.1
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build requestsproxy-rest.gemspec
```

Then either install the gem locally:

```shell
gem install ./requestsproxy-rest-0.0.1.gem
```
(for development, run `gem install --dev ./requestsproxy-rest-0.0.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'requestsproxy-rest', '~> 0.0.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'requestsproxy-rest', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.account_star_rating(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->account_star_rating: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Requestsproxy::RequestsproxyApi* | [**account_star_rating**](docs/RequestsproxyApi.md#account_star_rating) | **GET** /v2/{account_id}/star_rating/account | 
*Requestsproxy::RequestsproxyApi* | [**auth_info**](docs/RequestsproxyApi.md#auth_info) | **GET** /v2/{account_id}/info | 
*Requestsproxy::RequestsproxyApi* | [**create_webhook**](docs/RequestsproxyApi.md#create_webhook) | **POST** /v2/{account_id}/webhooks | 
*Requestsproxy::RequestsproxyApi* | [**delete_webhook**](docs/RequestsproxyApi.md#delete_webhook) | **DELETE** /v2/{account_id}/webhooks/{id} | 
*Requestsproxy::RequestsproxyApi* | [**features**](docs/RequestsproxyApi.md#features) | **GET** /v2/{account_id}/features | 
*Requestsproxy::RequestsproxyApi* | [**orders**](docs/RequestsproxyApi.md#orders) | **GET** /v2/{account_id}/orders | 
*Requestsproxy::RequestsproxyApi* | [**product**](docs/RequestsproxyApi.md#product) | **GET** /v2/{account_id}/products/{external_product_id} | 
*Requestsproxy::RequestsproxyApi* | [**product_star_rating**](docs/RequestsproxyApi.md#product_star_rating) | **GET** /v2/{account_id}/star_rating/products/{external_product_id} | 
*Requestsproxy::RequestsproxyApi* | [**products**](docs/RequestsproxyApi.md#products) | **GET** /v2/{account_id}/products | 
*Requestsproxy::RequestsproxyApi* | [**products_star_rating**](docs/RequestsproxyApi.md#products_star_rating) | **GET** /v2/{account_id}/star_rating/products | 
*Requestsproxy::RequestsproxyApi* | [**promoted_products**](docs/RequestsproxyApi.md#promoted_products) | **GET** /v2/{account_id}/promoted_products | 
*Requestsproxy::RequestsproxyApi* | [**review**](docs/RequestsproxyApi.md#review) | **GET** /v2/{account_id}/reviews/{review_id} | 
*Requestsproxy::RequestsproxyApi* | [**reviews**](docs/RequestsproxyApi.md#reviews) | **GET** /v2/{account_id}/reviews | 
*Requestsproxy::RequestsproxyApi* | [**reviews_by_product**](docs/RequestsproxyApi.md#reviews_by_product) | **GET** /v2/{account_id}/products/{external_product_id}/reviews | 
*Requestsproxy::RequestsproxyApi* | [**top_reviews**](docs/RequestsproxyApi.md#top_reviews) | **GET** /v2/{account_id}/top_reviews | 
*Requestsproxy::RequestsproxyApi* | [**update_webhook**](docs/RequestsproxyApi.md#update_webhook) | **PUT** /v2/{account_id}/webhooks/{id} | 
*Requestsproxy::RequestsproxyApi* | [**user**](docs/RequestsproxyApi.md#user) | **GET** /v2/{account_id}/users/{user_id} | 
*Requestsproxy::RequestsproxyApi* | [**webhook**](docs/RequestsproxyApi.md#webhook) | **GET** /v2/{account_id}/webhooks/{id} | 
*Requestsproxy::RequestsproxyApi* | [**webhook_events**](docs/RequestsproxyApi.md#webhook_events) | **GET** /v2/{account_id}/webhook_events | 
*Requestsproxy::RequestsproxyApi* | [**webhooks**](docs/RequestsproxyApi.md#webhooks) | **GET** /v2/{account_id}/webhooks | 


## Documentation for Models

 - [Requestsproxy::ProtobufListValue](docs/ProtobufListValue.md)
 - [Requestsproxy::ProtobufNullValue](docs/ProtobufNullValue.md)
 - [Requestsproxy::ProtobufStruct](docs/ProtobufStruct.md)
 - [Requestsproxy::ProtobufValue](docs/ProtobufValue.md)
 - [Requestsproxy::RequestsproxyAccountStarRatingResponse](docs/RequestsproxyAccountStarRatingResponse.md)
 - [Requestsproxy::RequestsproxyAuthInfoResponse](docs/RequestsproxyAuthInfoResponse.md)
 - [Requestsproxy::RequestsproxyCategory](docs/RequestsproxyCategory.md)
 - [Requestsproxy::RequestsproxyComment](docs/RequestsproxyComment.md)
 - [Requestsproxy::RequestsproxyCoupon](docs/RequestsproxyCoupon.md)
 - [Requestsproxy::RequestsproxyCreateDynamicCouponsCodesResponse](docs/RequestsproxyCreateDynamicCouponsCodesResponse.md)
 - [Requestsproxy::RequestsproxyCreateWebhookParams](docs/RequestsproxyCreateWebhookParams.md)
 - [Requestsproxy::RequestsproxyDynamicCouponError](docs/RequestsproxyDynamicCouponError.md)
 - [Requestsproxy::RequestsproxyDynamicCouponsResponse](docs/RequestsproxyDynamicCouponsResponse.md)
 - [Requestsproxy::RequestsproxyDynamicCouponsStatisticsResponse](docs/RequestsproxyDynamicCouponsStatisticsResponse.md)
 - [Requestsproxy::RequestsproxyDynamicCouponsStats](docs/RequestsproxyDynamicCouponsStats.md)
 - [Requestsproxy::RequestsproxyFeature](docs/RequestsproxyFeature.md)
 - [Requestsproxy::RequestsproxyFeaturesResponse](docs/RequestsproxyFeaturesResponse.md)
 - [Requestsproxy::RequestsproxyImageData](docs/RequestsproxyImageData.md)
 - [Requestsproxy::RequestsproxyOrdersResponse](docs/RequestsproxyOrdersResponse.md)
 - [Requestsproxy::RequestsproxyPagination](docs/RequestsproxyPagination.md)
 - [Requestsproxy::RequestsproxyProductImage](docs/RequestsproxyProductImage.md)
 - [Requestsproxy::RequestsproxyProductResponse](docs/RequestsproxyProductResponse.md)
 - [Requestsproxy::RequestsproxyProductSpecs](docs/RequestsproxyProductSpecs.md)
 - [Requestsproxy::RequestsproxyProductStarRatingResponse](docs/RequestsproxyProductStarRatingResponse.md)
 - [Requestsproxy::RequestsproxyProductsResponse](docs/RequestsproxyProductsResponse.md)
 - [Requestsproxy::RequestsproxyProductsStarRatingResponse](docs/RequestsproxyProductsStarRatingResponse.md)
 - [Requestsproxy::RequestsproxyPromotedProduct](docs/RequestsproxyPromotedProduct.md)
 - [Requestsproxy::RequestsproxyPromotedProductsResponse](docs/RequestsproxyPromotedProductsResponse.md)
 - [Requestsproxy::RequestsproxyPurchase](docs/RequestsproxyPurchase.md)
 - [Requestsproxy::RequestsproxyResponse](docs/RequestsproxyResponse.md)
 - [Requestsproxy::RequestsproxyReview](docs/RequestsproxyReview.md)
 - [Requestsproxy::RequestsproxyReviewCustomField](docs/RequestsproxyReviewCustomField.md)
 - [Requestsproxy::RequestsproxyReviewResponse](docs/RequestsproxyReviewResponse.md)
 - [Requestsproxy::RequestsproxyReviewsResponse](docs/RequestsproxyReviewsResponse.md)
 - [Requestsproxy::RequestsproxyStatus](docs/RequestsproxyStatus.md)
 - [Requestsproxy::RequestsproxyTopReview](docs/RequestsproxyTopReview.md)
 - [Requestsproxy::RequestsproxyTopReviewsResponse](docs/RequestsproxyTopReviewsResponse.md)
 - [Requestsproxy::RequestsproxyUserResponse](docs/RequestsproxyUserResponse.md)
 - [Requestsproxy::RequestsproxyWebhook](docs/RequestsproxyWebhook.md)
 - [Requestsproxy::RequestsproxyWebhookEvent](docs/RequestsproxyWebhookEvent.md)
 - [Requestsproxy::RequestsproxyWebhookEventsResponse](docs/RequestsproxyWebhookEventsResponse.md)
 - [Requestsproxy::RequestsproxyWebhookResponse](docs/RequestsproxyWebhookResponse.md)
 - [Requestsproxy::RequestsproxyWebhooksResponse](docs/RequestsproxyWebhooksResponse.md)


## Documentation for Authorization

 All endpoints do not require authorization.

