# Requestsproxy::RequestsproxyApi

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**account_star_rating**](RequestsproxyApi.md#account_star_rating) | **GET** /v2/{account_id}/star_rating/account | 
[**auth_info**](RequestsproxyApi.md#auth_info) | **GET** /v2/{account_id}/info | 
[**create_webhook**](RequestsproxyApi.md#create_webhook) | **POST** /v2/{account_id}/webhooks | 
[**delete_webhook**](RequestsproxyApi.md#delete_webhook) | **DELETE** /v2/{account_id}/webhooks/{id} | 
[**features**](RequestsproxyApi.md#features) | **GET** /v2/{account_id}/features | 
[**orders**](RequestsproxyApi.md#orders) | **GET** /v2/{account_id}/orders | 
[**product**](RequestsproxyApi.md#product) | **GET** /v2/{account_id}/products/{external_product_id} | 
[**product_star_rating**](RequestsproxyApi.md#product_star_rating) | **GET** /v2/{account_id}/star_rating/products/{external_product_id} | 
[**products**](RequestsproxyApi.md#products) | **GET** /v2/{account_id}/products | 
[**products_star_rating**](RequestsproxyApi.md#products_star_rating) | **GET** /v2/{account_id}/star_rating/products | 
[**promoted_products**](RequestsproxyApi.md#promoted_products) | **GET** /v2/{account_id}/promoted_products | 
[**review**](RequestsproxyApi.md#review) | **GET** /v2/{account_id}/reviews/{review_id} | 
[**reviews**](RequestsproxyApi.md#reviews) | **GET** /v2/{account_id}/reviews | 
[**reviews_by_product**](RequestsproxyApi.md#reviews_by_product) | **GET** /v2/{account_id}/products/{external_product_id}/reviews | 
[**top_reviews**](RequestsproxyApi.md#top_reviews) | **GET** /v2/{account_id}/top_reviews | 
[**update_webhook**](RequestsproxyApi.md#update_webhook) | **PUT** /v2/{account_id}/webhooks/{id} | 
[**user**](RequestsproxyApi.md#user) | **GET** /v2/{account_id}/users/{user_id} | 
[**webhook**](RequestsproxyApi.md#webhook) | **GET** /v2/{account_id}/webhooks/{id} | 
[**webhook_events**](RequestsproxyApi.md#webhook_events) | **GET** /v2/{account_id}/webhook_events | 
[**webhooks**](RequestsproxyApi.md#webhooks) | **GET** /v2/{account_id}/webhooks | 


# **account_star_rating**
> RequestsproxyResponse account_star_rating(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.account_star_rating(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->account_star_rating: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **auth_info**
> RequestsproxyResponse auth_info(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.auth_info(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->auth_info: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **create_webhook**
> RequestsproxyResponse create_webhook(account_id, body)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

body = Requestsproxy::RequestsproxyCreateWebhookParams.new # RequestsproxyCreateWebhookParams | 


begin
  result = api_instance.create_webhook(account_id, body)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->create_webhook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **body** | [**RequestsproxyCreateWebhookParams**](RequestsproxyCreateWebhookParams.md)|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **delete_webhook**
> RequestsproxyResponse delete_webhook(account_id, id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

id = 56 # Integer | 

opts = { 
  access_token: 'access_token_example' # String | 
}

begin
  result = api_instance.delete_webhook(account_id, id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->delete_webhook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 
 **access_token** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **features**
> RequestsproxyResponse features(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.features(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->features: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **orders**
> RequestsproxyResponse orders(account_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

opts = { 
  first_id: 'first_id_example', # String | 
  count: 'count_example', # String | 
  page: 'page_example' # String | 
}

begin
  result = api_instance.orders(account_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->orders: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **first_id** | **String**|  | [optional] 
 **count** | **String**|  | [optional] 
 **page** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **product**
> RequestsproxyResponse product(account_id, external_product_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

external_product_id = 'external_product_id_example' # String | 


begin
  result = api_instance.product(account_id, external_product_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->product: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **external_product_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **product_star_rating**
> RequestsproxyResponse product_star_rating(account_id, external_product_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

external_product_id = 'external_product_id_example' # String | 


begin
  result = api_instance.product_star_rating(account_id, external_product_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->product_star_rating: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **external_product_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **products**
> RequestsproxyResponse products(account_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

opts = { 
  page: 'page_example', # String | 
  count: 'count_example' # String | 
}

begin
  result = api_instance.products(account_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->products: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **page** | **String**|  | [optional] 
 **count** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **products_star_rating**
> RequestsproxyResponse products_star_rating(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.products_star_rating(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->products_star_rating: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **promoted_products**
> RequestsproxyResponse promoted_products(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.promoted_products(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->promoted_products: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **review**
> RequestsproxyResponse review(account_id, review_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

review_id = 56 # Integer | 

opts = { 
  include_nested: true # BOOLEAN | 
}

begin
  result = api_instance.review(account_id, review_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->review: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **review_id** | **Integer**|  | 
 **include_nested** | **BOOLEAN**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **reviews**
> RequestsproxyResponse reviews(account_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

opts = { 
  first_id: 'first_id_example', # String | 
  count: 'count_example', # String | 
  page: 'page_example', # String | 
  include_site_reviews: 'include_site_reviews_example', # String | 
  sort: 'sort_example', # String | 
  direction: 'direction_example', # String | 
  star: 'star_example', # String | 
  include_nested: true # BOOLEAN | 
}

begin
  result = api_instance.reviews(account_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->reviews: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **first_id** | **String**|  | [optional] 
 **count** | **String**|  | [optional] 
 **page** | **String**|  | [optional] 
 **include_site_reviews** | **String**|  | [optional] 
 **sort** | **String**|  | [optional] 
 **direction** | **String**|  | [optional] 
 **star** | **String**|  | [optional] 
 **include_nested** | **BOOLEAN**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **reviews_by_product**
> RequestsproxyResponse reviews_by_product(account_id, external_product_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

external_product_id = 'external_product_id_example' # String | 

opts = { 
  first_id: 'first_id_example', # String | 
  count: 'count_example', # String | 
  page: 'page_example', # String | 
  include_site_reviews: 'include_site_reviews_example', # String | 
  sort: 'sort_example', # String | 
  direction: 'direction_example', # String | 
  star: 'star_example', # String | 
  include_nested: true # BOOLEAN | 
}

begin
  result = api_instance.reviews_by_product(account_id, external_product_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->reviews_by_product: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **external_product_id** | **String**|  | 
 **first_id** | **String**|  | [optional] 
 **count** | **String**|  | [optional] 
 **page** | **String**|  | [optional] 
 **include_site_reviews** | **String**|  | [optional] 
 **sort** | **String**|  | [optional] 
 **direction** | **String**|  | [optional] 
 **star** | **String**|  | [optional] 
 **include_nested** | **BOOLEAN**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **top_reviews**
> RequestsproxyResponse top_reviews(account_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

opts = { 
  external_product_id: 'external_product_id_example' # String | 
}

begin
  result = api_instance.top_reviews(account_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->top_reviews: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **external_product_id** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **update_webhook**
> RequestsproxyResponse update_webhook(account_id, id, body)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

id = 56 # Integer | 

body = Requestsproxy::RequestsproxyCreateWebhookParams.new # RequestsproxyCreateWebhookParams | 


begin
  result = api_instance.update_webhook(account_id, id, body)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->update_webhook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 
 **body** | [**RequestsproxyCreateWebhookParams**](RequestsproxyCreateWebhookParams.md)|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **user**
> RequestsproxyResponse user(account_id, user_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

user_id = 56 # Integer | 


begin
  result = api_instance.user(account_id, user_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->user: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **user_id** | **Integer**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **webhook**
> RequestsproxyResponse webhook(account_id, id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

id = 56 # Integer | 

opts = { 
  access_token: 'access_token_example' # String | 
}

begin
  result = api_instance.webhook(account_id, id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->webhook: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **id** | **Integer**|  | 
 **access_token** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **webhook_events**
> RequestsproxyResponse webhook_events(account_id)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 


begin
  result = api_instance.webhook_events(account_id)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->webhook_events: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **webhooks**
> RequestsproxyResponse webhooks(account_id, opts)



### Example
```ruby
# load the gem
require 'requestsproxy-rest'

api_instance = Requestsproxy::RequestsproxyApi.new

account_id = 'account_id_example' # String | 

opts = { 
  access_token: 'access_token_example' # String | 
}

begin
  result = api_instance.webhooks(account_id, opts)
  p result
rescue Requestsproxy::ApiError => e
  puts "Exception when calling RequestsproxyApi->webhooks: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account_id** | **String**|  | 
 **access_token** | **String**|  | [optional] 

### Return type

[**RequestsproxyResponse**](RequestsproxyResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



